##
##  mpg123.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2024 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         mpg123
Summary:      MP3 Decoder/Player
URL:          http://www.mpg123.org/
Vendor:       Michael Hipp
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        PLUS
Group:        Audio
License:      GPL
Version:      1.32.10
Release:      20241214

#   list of sources
Source0:      http://www.mpg123.de/download/mpg123-%{version}.tar.bz2
Patch0:       mpg123.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101
PreReq:       OpenPKG, openpkg >= 20160101

%description
    mpg123 is a real time MPEG Audio Player for Layer 1,2 and Layer 3.

%track
    prog mpg123 = {
        version   = %{version}
        url       = http://www.mpg123.de/download.shtml
        regex     = mpg123-(\d+\.\d+\.\d+)
    }

%prep
    %setup -q
    %patch -p0

%build
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags -O}" \
    ./configure \
        --prefix=%{l_prefix} \
        --mandir=%{l_prefix}/man \
        --enable-static \
        --enable-shared
    %{l_make} %{l_mflags -O}

%install
    %{l_make} %{l_mflags} install DESTDIR="$RPM_BUILD_ROOT"
    rm -f $RPM_BUILD_ROOT%{l_prefix}/lib/libmpg123.so*
    rm -f $RPM_BUILD_ROOT%{l_prefix}/lib/libmpg123.la
    rm -f $RPM_BUILD_ROOT%{l_prefix}/lib/libout123.so*
    rm -f $RPM_BUILD_ROOT%{l_prefix}/lib/libout123.la
    rm -f $RPM_BUILD_ROOT%{l_prefix}/lib/mpg123/*.a
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

